Page MenuHomePhabricator

Add more links to activity feed
Closed, ResolvedPublic

Description

Please incorporate the following changes over https://wikipedialibrary.wmflabs.org/activity/ for accessibility, ease of communication and all that:-

  1. In the boiler plate message of the form XYZ signed up for a Wikipedia Library Card Platform account, hyperlink XYZ with the user's CentralAuth link (wp_link_central_auth)
  1. When a new resource is inducted in the library; the boiler plate message reads:- ABC joined the Wikipedia Library. Please hyperlink ABC to the concerned page about ABC. We already hyperlink them, when somebody requests access for any resource.

Event Timeline

Restricted Application added subscribers: Sadads, Aklapper. · View Herald TranscriptMar 21 2019, 9:31 AM
Samwalton9 renamed this task from Tweaking the activity page to Add more links to activity feed.Apr 18 2019, 12:53 PM
Samwalton9 triaged this task as Low priority.
Samwalton9 added a project: good first task.
Samwalton9 moved this task from Incoming tasks to Open tasks on the Library-Card-Platform board.
Samwalton9 updated the task description. (Show Details)Oct 28 2019, 12:01 PM

Hey @WingedBladesofGodric, I would need your assistance setting up docker locally. It fails with this error when I run docker-compose build && docker-compose up

@Nicks-bro Are you using WIndows? If so, can you try opening Powershell and running $Env:COMPOSE_CONVERT_WINDOWS_PATHS=1, then seeing if that allows you to run the docker commands successfully.

This comment was removed by Nicks-bro.

If it's being a problem on my windows machine, isn't there a way to push and use the staging app. It seems like remotely docker won't meet these limitations.

There is a way, but ideally you should be able to get Docker working locally to test your changes. We only really use Staging for work that needs to be tested in a production-like environment or to test other people's changes.

You can try setting the COMPOSE_CONVERT_WINDOWS_PATHS variable manually via the instructions here.

Thanks @Samwalton9, I have tried this, however, the error still persists.

Thanks @Samwalton9, I have tried this, however, the error still persists.

Please keep in mind this task is suggested by @Samwalton9 to be a Google Code-In task.

Thanks @Samwalton9, I have tried this, however, the error still persists.

Please keep in mind this task is suggested by @Samwalton9 to be a Google Code-In task.

Please expound a little bit on what you mean. Thanks.

@Urbanecm Since @Nicks-bro is working on this task I'd like to remove it from GCI. Thanks for the note.

Okay, deleted from GCI site.

@Samwalton9 I tried setting up the library card platform using the Quick Installation Guide.
But when running it on the browser as localhost. It gives the following error :

OperationalError at /
(1130, "Host 'twlight_twlight_1.twlight_default' is not allowed to connect to this MariaDB server")

(screenshot included)


I'm also not able to run migrations as the database was not connected.

OS - Ubuntu 18.04.3
Thanks!

Hi @Sanyam.wikime! Sorry to see you're getting those issues. It looks like the database container might not have come up correctly. If you do docker ps what is the result?

Do you have any other database services running locally already? You might need to stop those first before bringing up this tool.

@Samwalton9 This is what I got after

docker ps

Regarding other database services, to my knowledge there are none.

lalit97 claimed this task.Feb 24 2020, 10:36 AM
lalit97 added a subscriber: Nicks-bro.

Hello @Samwalton9 I have made the changes as suggested in the task.

Also possibly there are more messages which can be changed

(1) XYZ applied for renewal of their Partner access

In this message Partner has hyperlink but the User does not.
https://github.com/WikipediaLibrary/TWLight/blob/master/TWLight/views.py#L112

(2) XYZ applied for access to Partner

In this one also Partner has hyperlink but User does not.
https://github.com/WikipediaLibrary/TWLight/blob/master/TWLight/views.py#L134

(3) XYZ received access to Partner

Again User does not have hyperlink.
https://github.com/WikipediaLibrary/TWLight/blob/master/TWLight/views.py#L158

So will it be a good idea to hyperlink XYZ with the user's CentralAuth link (wp_link_central_auth) in these cases?

Sure, I think that makes sense :)

lalit97 added a comment.EditedFeb 26 2020, 8:24 PM

I have made all the changes which we have discussed :)
Here is the pull request https://github.com/WikipediaLibrary/TWLight/pull/414

Samwalton9 closed this task as Resolved.Feb 28 2020, 5:07 PM
Samwalton9 moved this task from Doing to Done on the Library-Card-Platform board.